org.appng.xml.application

## Class Role

- java.lang.Object
- - org.appng.xml.application.Role

-     public class Role
      extends Object

  Java class for role complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="role">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="permission" type="{http://www.appng.org/schema/application}permissionRef" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="admin-role" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `adminRole`
    `protected String` | `description`
    `protected String` | `name`
    `protected List<PermissionRef>` | `permission`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Role()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getName()` Gets the value of the name property.
    `List<PermissionRef>` | `getPermission()` Gets the value of the permission property.
    `boolean` | `isAdminRole()` Gets the value of the adminRole property.
    `void` | `setAdminRole(Boolean value)` Sets the value of the adminRole property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### description

          protected String description

    - #### permission

          protected List<PermissionRef> permission

    - #### adminRole

          protected Boolean adminRole

  - ### Constructor Detail

    - #### Role

          public Role()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPermission

          public List<PermissionRef> getPermission()

      Gets the value of the permission property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the permission property.

      For example, to add a new item, do as follows:

              getPermission().add(newItem);

      Objects of the following type(s) are allowed in the list `PermissionRef`

    - #### isAdminRole

          public boolean isAdminRole()

      Gets the value of the adminRole property.
      Returns:
        possible object is `Boolean`

    - #### setAdminRole

          public void setAdminRole(Boolean value)

      Sets the value of the adminRole property.
      Parameters:
        `value` - allowed object is `Boolean`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.